From 0a88af9a7a5feba9944ea009eddaac1e89315539 Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Sun, 28 Jul 2024 22:24:38 +0100
Subject: [PATCH 1/3] systemd: Correct path to monopd binary

It is installed to /usr/bin, not /usr/sbin.
---
 doc/systemd/monopd.service | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/systemd/monopd.service b/doc/systemd/monopd.service
index eace183..3f370d4 100644
--- a/doc/systemd/monopd.service
+++ b/doc/systemd/monopd.service
@@ -3,7 +3,7 @@ Description=game server for board games like GtkAtlantic
 
 [Service]
 Type=notify
-ExecStart=/usr/sbin/monopd
+ExecStart=/usr/bin/monopd
 User=nobody
 Group=nogroup
 
-- 
2.45.2


From fb41002ae3b94c6d9b3587ed291810baf04af19f Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Sun, 28 Jul 2024 22:26:21 +0100
Subject: [PATCH 2/3] autoconf: Don't mix up CFLAGS with CXXFLAGS

---
 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.ac b/configure.ac
index fa0de41..e388422 100644
--- a/configure.ac
+++ b/configure.ac
@@ -9,7 +9,7 @@ AC_LANG(C++)
 AC_SEARCH_LIBS([strerror], [cposix])
 AC_SUBST(CFLAGS, $CFLAGS)
 AC_PROG_CC
-AC_SUBST(CXXFLAGS, $CFLAGS)
+AC_SUBST(CXXFLAGS, $CXXFLAGS)
 AC_PROG_CXX
 
 # Checks for libraries.
-- 
2.45.2


From 770eb6f7a82012776071d7af4e2c5b54d27ffb50 Mon Sep 17 00:00:00 2001
From: James Le Cuirot <chewi@gentoo.org>
Date: Sun, 28 Jul 2024 22:27:13 +0100
Subject: [PATCH 3/3] autoconf: Fix appending of C(XX)FLAGS

configure uses /bin/sh, which may be a pure POSIX shell like dash rather
than bash. += is not POSIX compliant.
---
 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index e388422..24cc00c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -41,8 +41,8 @@ AS_IF([test "x$USE_SYSTEMD_DAEMON" != "xno"], [
 ])
 
 if test "x$GCC" = "xyes"; then  \
-     CFLAGS+=" -Wall -Wextra";  \
-     CXXFLAGS+=" -Wall -Wextra";  \
+     CFLAGS="${CFLAGS} -Wall -Wextra";  \
+     CXXFLAGS="${CXXFLAGS} -Wall -Wextra";  \
 fi
 
 AC_CONFIG_FILES([
-- 
2.45.2

